package com.yeejoin.amos.boot.module.common.api.enums;

public enum ExceptionEnum {
 
    PARAMETER_TYPE_ERROR   ("0001","传入參數异常"),
    PARAMETER_TYPE_ERR   ("400","系统异常!");

    private String eCode;

    private String eMsg;

    ExceptionEnum(String eCode, String eMsg) {
        this.eCode = eCode;
        this.eMsg = eMsg;
    }

    public String getEcode() {
        return eCode;
    }

    public String getEmsg() {
        return eMsg;
    }

    public static ExceptionEnum statOf(String eCode) {
        for (ExceptionEnum state : values())
            if (state.getEcode().equals(eCode))
                return state;
        return null;
    }
	
	
}
